From 7fcfd79123dac967037bdce45c0bac6fd4718d26 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Fri, 26 Jul 2024 05:42:55 +0800
Subject: [PATCH] pause.h: unbreak for macOS powerpc

---
 lib/isc/include/isc/pause.h | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git lib/isc/include/isc/pause.h lib/isc/include/isc/pause.h
index 8d7fa57682..8daccc63cd 100644
--- lib/isc/include/isc/pause.h
+++ lib/isc/include/isc/pause.h
@@ -30,8 +30,12 @@
 #elif (defined(__sparc) || defined(__sparc__)) && HAVE_SPARC_PAUSE
 #define isc_pause() __asm__ __volatile__("pause")
 #elif defined(__ppc__) || defined(_ARCH_PPC) || defined(_ARCH_PWR) || \
-	defined(_ARCH_PWR2) || defined(_POWER)
+	defined(_ARCH_PWR2) || defined(_POWER) || defined(__POWERPC__)
+#ifdef __APPLE__
+#define isc_pause() __asm__ volatile("or r27,r27,r27")
+#else
 #define isc_pause() __asm__ volatile("or 27,27,27")
+#endif
 #else
 #define isc_pause() sched_yield()
 #endif
